import httpService from "@/request"

export const getReq = (api,params) => {
    return httpService({
        url: api,
        method: 'get',
        params: params
    })
}

export const  postJson = (api, data) => {
    return httpService({
        url: api,
        method: 'post',
        // headers: {
        //     'Content-Type': 'application/json'
        // },
        data: data
    })
}

export const posrForm = (api ,data) => {
    return httpService({
        url: api,
        method: 'post',
        headers:{'Content-Type': 'application/x-www-form-urlencoded'},
        data: data,
        transformRequest:[ function (data) {
            let ret = ''
            for (let it in data) {
               ret += encodeURIComponent(it) + '=' + encodeURIComponent(data[it]) + '&'
            }
            ret = ret.substring(0, ret.lastIndexOf('&'));
            return ret
         }]
    })
}

